<template>
  <v-container class="fill-height">
    <v-row justify="center">
      <v-col cols="12">
        <login-form :predefined-email="predefinedEmail" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">

import Vue from "vue";
import Component from "vue-class-component";
import LoginForm from "@/components/login/LoginForm.vue";

@Component({
  components: {
    LoginForm
  }
})
export default class LoginView extends Vue {
  private get predefinedEmail (): string {
    return decodeURI(this.$route.query.email as string || '');
  }
}

</script>

<style scoped>

</style>
